// Creado: Félix Ricardo Oliva Alonso, 14/09/2016. Función paar agregar nuevo css
$(document).ready(function() {
    //************************************************************
    //        Funcion para la vista Root.cssAgregarEditar
    //************************************************************
        $(function() {
        $("#css_agregar_cae2").hide();
        $("#css_agregar_cae3").hide();
//        Funcion para agregar
        $("#btn_agregar_cae").click(function() {
            $("#css_agregar_cae2").show();
            $("#css_agregar_cae3").hide();
        });

//        Funcion para editar
        $(".editar_css_cae").click(function() {
            $("#css_agregar_cae3").show();
            $("#css_agregar_cae2").hide();
        });
//        Funcion para cerrar
        $(".cerrar_form").click(function() {
            $("#css_agregar_cae3").hide();
            $("#css_agregar_cae2").hide();
        });
    });

    //************************************************************
    //        Funcion para la vista Root.cssCuentasAdmin
    //************************************************************
//        Funcion para agregar
    $(function() {
        $("#admin_cuentas2").hide();
        $("#admin_cuentas3").hide();
        $("#btn_agregar_ac").click(function() {
            $("#admin_cuentas2").show();
            $("#admin_cuentas3").hide();
        });

//        Funcion para editar
        $(".editar_cuentas_ac").click(function() {
            $("#admin_cuentas3").show();
            $("#admin_cuentas2").hide();
        });

        $(".cerrar_form").click(function() {
          $("#admin_cuentas2").hide();
          $("#admin_cuentas3").hide();
        });
    });


    //************************************************************
    //        Funcion para la vista Root.adminPerfiles
    //************************************************************
    //        Funcion para agregar
    $(function() {
        $("#admin_perfiles2").hide();
        $("#admin_perfiles3").hide();
        $("#admin_perfiles4").hide();
        $("#admin_perfiles5").hide();
        $("#btn_agregar_ap").click(function() {
            $("#admin_perfiles2").toggle();
            $("#admin_perfiles3").hide();
            $("#admin_perfiles4").hide();
            $("#admin_perfiles5").hide();
        });
    });
    //        Funcion para clonar
    $(function() {
        $("#admin_perfiles2").hide();
        $("#admin_perfiles3").hide();
        $("#admin_perfiles4").hide();
        $("#admin_perfiles5").hide();
        $(".clonar_perfil_ap").click(function() {
            $("#admin_perfiles3").toggle();
            $("#admin_perfiles2").hide();
            $("#admin_perfiles4").hide();
            $("#admin_perfiles5").hide();
        });
    });
    //        Funcion para editar
    $(function() {
        $("#admin_perfiles2").hide();
        $("#admin_perfiles3").hide();
        $("#admin_perfiles4").hide();
        $("#admin_perfiles5").hide();
        $(".editar_perfil_ap").click(function() {
            $("#admin_perfiles4").toggle();
            $("#admin_perfiles3").hide();
            $("#admin_perfiles2").hide();
            $("#admin_perfiles5").hide();
        });
    });
    //        Funcion para privilegios
    $(function() {
        $("#admin_perfiles2").hide();
        $("#admin_perfiles3").hide();
        $("#admin_perfiles4").hide();
        $("#admin_perfiles5").hide();
        $("#btn_privilegios_ap4").click(function() {
            $("#admin_perfiles5").toggle();
            $("#admin_perfiles3").hide();
            $("#admin_perfiles2").hide();
            $("#admin_perfiles4").hide();
        });

        $(".cerrar_form").click(function() {
          $("#admin_perfiles5").hide();
          $("#admin_perfiles3").hide();
          $("#admin_perfiles2").hide();
          $("#admin_perfiles4").hide();
        });
    });

    //************************************************************
    //        Funcion para la vista Root.adminaccesos
    //************************************************************
    //        Funcion para agregar
    $(function(){
        $("#admin_accesos2").hide();
        $("#admin_accesos3").hide();
        $("#agregar_modulo_aacc2").hide();

        $("#btn_agregar_aacc").click(function(){
            $("#admin_accesos2").show();
            $("#admin_accesos3").hide();
        });
        $(".editar_aacc").click(function(){
            $("#admin_accesos3").show();
            $("#admin_accesos2").hide();
        });

        $("#buttonajax_aacc").click(function(){
          $("#admin_accesos2").show();
            $("#agregar_modulo_aacc2").show();
        });

        $(".cerrar_form").click(function() {
          $("#admin_accesos2").hide();
          $("#admin_accesos3").hide();
        });

      });



      //************************************************************
      //        Funcion para la vista Usuario.Administrar
      //************************************************************
  //        Funcion para agregar
      $(function() {
          $("#admin_cuentas_acs").hide();
          $("#admin_cuentas_acs2").hide();

          $(".crear_clave").click(function() {
              $("#admin_cuentas_acs").show();
              $("#admin_cuentas_acs2").hide();
          });

          $(".cambiar_clave").click(function() {
              $("#admin_cuentas_acs2").show();
              $("#admin_cuentas_acs").hide();
          });

          $(".cerrar_form").click(function() {
            $("#admin_cuentas_acs").hide();
            $("#admin_cuentas_acs2").hide();
          });
      });


      //************************************************************
      //        Funcion para la vista Root.adminConsultorios
      //************************************************************
          $(function() {
          $("#admin_consultorios2").hide();
          $("#admin_consultorios3").hide();

  //        Funcion para agregar
          $("#btn_agregar_adcon").click(function() {
              $("#admin_consultorios2").show();
              $("#admin_consultorios3").hide();
          });

  //        Funcion para editar
          $(".editar_con").click(function() {
              $("#admin_consultorios3").show();
              $("#admin_consultorios2").hide();
          });

  //        Funcion para cerrar
          $(".cerrar_form").click(function() {
              $("#admin_consultorios2").hide();
              $("#admin_consultorios3").hide();

          });
      });


      //************************************************************
      //        Funcion para la vista Root.adminModulos
      //************************************************************
          $(function() {
          $("#admin_modulos_a2").hide();
          $("#admin_modulos_a3").hide();

  //        Funcion para agregar
          $("#btn_agregar_adcon").click(function() {
              $("#admin_modulos_a2").show();
              $("#admin_modulos_a3").hide();
          });

  //        Funcion para editar
          $(".editar_mod").click(function() {
              $("#admin_modulos_a3").show();
              $("#admin_modulos_a2").hide();
          });

  //        Funcion para cerrar
          $(".cerrar_form").click(function() {
              $("#admin_modulos_a2").hide();
              $("#admin_modulos_a3").hide();

          });
      });


});
